Bug 235312 - [JSC] Support import assertion syntax
Summary: [JSC] Support import assertion syntax
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Yusuke Suzuki
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-01-18 01:04 PST by Yusuke Suzuki
Modified: 2022-01-24 14:53 PST (History)
8 users (show)

See Also:


Attachments
Patch (34.17 KB, patch)
2022-01-18 01:05 PST, Yusuke Suzuki
ross.kirsling: review+
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (59.37 KB, patch)
2022-01-19 21:49 PST, Yusuke Suzuki
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (65.17 KB, patch)
2022-01-19 23:46 PST, Yusuke Suzuki
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yusuke Suzuki 2022-01-18 01:04:31 PST
[JSC] Support import assertion syntax
Comment 1 Yusuke Suzuki 2022-01-18 01:05:52 PST
Created attachment 449367 [details]
Patch
Comment 2 Ross Kirsling 2022-01-18 09:45:07 PST Comment hidden (obsolete)
Comment 3 Ross Kirsling 2022-01-18 09:45:08 PST
Comment on attachment 449367 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=449367&action=review

Code looks good overall, so r=me once EWS is all green.

> Source/JavaScriptCore/runtime/ScriptFetchParameters.h:32
> +enum class ImportDataType : uint8_t {

Are the changes to this file actually being used in this patch? If not, should they be postponed 'til the next one?
Comment 4 Yusuke Suzuki 2022-01-19 21:49:07 PST
Created attachment 449552 [details]
Patch
Comment 5 Yusuke Suzuki 2022-01-19 23:46:47 PST
Created attachment 449556 [details]
Patch
Comment 6 EWS 2022-01-24 14:52:28 PST
Committed r288473 (246356@main): <https://commits.webkit.org/246356@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 449556 [details].
Comment 7 Radar WebKit Bug Importer 2022-01-24 14:53:17 PST
<rdar://problem/87991797>